## python-untokenize 0.1.1

=== Makefile ===
check:
	pep8 untokenize.py setup.py test_acid.py
	pep257 untokenize.py setup.py test_acid.py
	pylint \
		--rcfile=/dev/null \
		--reports=no \
		--disable=invalid-name \
		untokenize.py setup.py test_acid.py
	check-manifest
	python setup.py --long-description | rst2html --strict > /dev/null
	scspell untokenize.py setup.py test_untokenize.py test_acid.py README.rst

coverage:
	@rm -f .coverage
	@coverage run test_untokenize.py
	@coverage report
	@coverage html
	@rm -f .coverage
	@python -m webbrowser -n "file://${PWD}/htmlcov/index.html"

mutant:
	@mut.py -t untokenize -u test_untokenize -mc

readme:
	@restview --long-description --strict

=== debian/changelog ===
python-untokenize (0.1.1-3) unstable; urgency=medium

  * Team upload.
  * Fix Vcs-Git URL

 -- Scott Talbert <swt@techie.net>  Fri, 12 Nov 2021 10:16:31 -0500

python-untokenize (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Mon, 11 Oct 2021 21:51:16 -0400

python-untokenize (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #976441).

 -- Adam Cecile <acecile@le-vert.net>  Tue, 28 Sep 2021 22:42:35 +0200

=== debian/control ===
Source: python-untokenize
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/myint/untokenize
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-untokenize
Vcs-Git: https://salsa.debian.org/python-team/packages/python-untokenize.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-untokenize
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Untokenize transforms tokens into source code (Python 3)
 Untokenize transforms tokens into source code.
 .
 Unlike the standard library's tokenize.untokenize(), it preserves the
 original whitespace between tokens.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=untokenize

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	for PY3VER in $(shell py3versions -sv); do \
	  python$$PY3VER test_untokenize.py; \
	done
	for PY3VER in $(shell py3versions -sv); do \
	  python$$PY3VER test_acid.py; \
	done
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-untokenize-$1.tar.gz%" \
   https://github.com/myint/untokenize/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
